# H-transport-materials
[![DOI](https://zenodo.org/badge/488195123.svg)](https://zenodo.org/badge/latestdoi/488195123)
![CI](https://github.com/RemDelaporteMathurin/h_transport_materials/actions/workflows/ci.yml/badge.svg)
[![codecov](https://codecov.io/github/RemDelaporteMathurin/h-transport-materials/branch/main/graph/badge.svg?token=zroa7Y8If6)](https://codecov.io/github/RemDelaporteMathurin/h-transport-materials)

H-transport-materials (HTM) is a comprehensive database providing accountable and transparent hydrogen transport material properties. The project aims to reduce error propagation between published experimental results and users. HTM can be used in python scripts. Complete documentation on the usage of H Transport Materials is available in the documentation.

Installation instructions are availble in the [documentation](https://h-transport-materials.readthedocs.io/en/latest/getting/index.html).

# Online dashboard

An online dashboard application is availbale for [HTM](https://htm-dashboard-uan5l4xr6a-od.a.run.app/). 

The web app provides and intuitive and interactive graphical user interface for the HTM database. 

# Contribute

Want to contribute to HTM? Consider the [contibution workflow](https://h-transport-materials.readthedocs.io/en/latest/dev/contributing.html) in the docs.

Alternatively if you have a material property you would like to add, there is a dedicated [issue form](https://github.com/RemDelaporteMathurin/h-transport-materials/issues/new?assignees=&labels=&template=PROPERTY-SUGGESTION.yml&title=Property+suggestion%3A+)

Spot a bug! or have any suggestions, feel free to raise an
[issue](https://github.com/RemDelaporteMathurin/h-transport-materials/issues/new).

# Compiled database

With each release of HTM, there is a compiled version of the database in .json format. You can download the lastest release [here](https://github.com/RemDelaporteMathurin/h-transport-materials/releases/latest/download/database.json).

# Citing h-transport-materials

If you have used h-transport material, please consider aknowlegdement of your usage by citing the [DOI](https://doi.org/10.5281/zenodo.7888448)

Or the following bibtex

```bibtex
@misc{delaporte-mathurin_remdelaportemathurinh-transport-materials_2023,
	title = {{RemDelaporteMathurin}/h-transport-materials: {Test} release 2},
	shorttitle = {{RemDelaporteMathurin}/h-transport-materials},
	url = {https://zenodo.org/record/7888448},
	abstract = {Full Changelog: https://github.com/RemDelaporteMathurin/h-transport-materials/compare/v0.12.7-alpha...v0.12.7-beta},
	urldate = {2023-05-08},
	publisher = {Zenodo},
	author = {Delaporte-Mathurin, Rémi and Fuerst, Thomas and Dark, James},
	month = may,
	year = {2023},
	doi = {10.5281/zenodo.7888448},
}
```
